## org.apache.poi.xslf.usermodel
Enum TextAlign

    java.lang.Object
      java.lang.Enum<TextAlign>
          org.apache.poi.xslf.usermodel.TextAlign

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextAlign>

    public enum TextAlign

extends java.lang.Enum<TextAlign>

Specified a list of text alignment types

Author:
  Yegor Kozlov

Enum Constant Summary
`CENTER` Align text in the center.
`DIST`
`JUSTIFY` Align text so that it is justified across the whole line.
`JUSTIFY_LOW`
`LEFT` Align text to the left margin.
`RIGHT` Align text to the right margin.
`THAI_DIST`

Method Summary
`static TextAlign` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextAlign[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final TextAlign LEFT

  Align text to the left margin.

### CENTER

    public static final TextAlign CENTER

  Align text in the center.

### RIGHT

    public static final TextAlign RIGHT

  Align text to the right margin.

### JUSTIFY

    public static final TextAlign JUSTIFY

  Align text so that it is justified across the whole line. It is smart in the sense that it will not justify sentences which are short

### JUSTIFY_LOW

    public static final TextAlign JUSTIFY_LOW

### DIST

    public static final TextAlign DIST

### THAI_DIST

    public static final TextAlign THAI_DIST

Method Detail

### values

    public static TextAlign[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextAlign c : TextAlign.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextAlign valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.